#include "TelepathyQt/future-internal.h"

namespace TpFuture
{
namespace Client
{

ChannelDispatcherInterfaceMessagesInterface::ChannelDispatcherInterfaceMessagesInterface(const QString& busName, const QString& objectPath, QObject *parent)
    : Tp::AbstractInterface(busName, objectPath, staticInterfaceName(), QDBusConnection::sessionBus(), parent)
{
}

ChannelDispatcherInterfaceMessagesInterface::ChannelDispatcherInterfaceMessagesInterface(const QDBusConnection& connection, const QString& busName, const QString& objectPath, QObject *parent)
    : Tp::AbstractInterface(busName, objectPath, staticInterfaceName(), connection, parent)
{
}

ChannelDispatcherInterfaceMessagesInterface::ChannelDispatcherInterfaceMessagesInterface(Tp::DBusProxy *proxy)
    : Tp::AbstractInterface(proxy, staticInterfaceName())
{
}

ChannelDispatcherInterfaceMessagesInterface::ChannelDispatcherInterfaceMessagesInterface(const Tp::Client::ChannelDispatcherInterface& mainInterface)
    : Tp::AbstractInterface(mainInterface.service(), mainInterface.path(), staticInterfaceName(), mainInterface.connection(), mainInterface.parent())
{
}

ChannelDispatcherInterfaceMessagesInterface::ChannelDispatcherInterfaceMessagesInterface(const Tp::Client::ChannelDispatcherInterface& mainInterface, QObject *parent)
    : Tp::AbstractInterface(mainInterface.service(), mainInterface.path(), staticInterfaceName(), mainInterface.connection(), parent)
{
}

void ChannelDispatcherInterfaceMessagesInterface::invalidate(Tp::DBusProxy *proxy,
        const QString &error, const QString &message)
{

    Tp::AbstractInterface::invalidate(proxy, error, message);
}
}
}
